clear all;

% Define input and output directories
inputDir = '/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/EDFMatFiles';
outputDir = '/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/EDFProcessedData/';
seizureStarts = importdata('/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/SeizureTimes');
fileNumsToSkip = [3 19];

% Loop over each file
for ii = 1:26
    
%     Define names of input and output files
    if ismember(ii,fileNumsToSkip)==false
        clearvars -except inputDir outputDir seizureStarts ii fileNumsToSkip;
        if ii<10
            inputFileName = strcat('EEG_',strcat('0',int2str(ii)),'.mat');
            outputFileName = strcat('EEG_',strcat('0',int2str(ii)),'.txt');
        else
            inputFileName = strcat('EEG_',int2str(ii),'.mat');
            outputFileName = strcat('EEG_',int2str(ii),'.txt');
        end
        
%         Load data from seizure file
        load(fullfile(inputDir,inputFileName));

%         Prepare variables to pass into processEKGData
        EKGData=EEG.data(27,:);
        samplingRate = 200;
        
%         Define transition times for reach region using the information
%         provided by Dr. Laridzabal
        seizureStart = seizureStarts.data(ii,2);
        seizureStop = seizureStarts.data(ii,3);
        preIctalStart = seizureStart-300;
        
%         Obtain processed data using processEKGData
        data = processEKGData(EKGData, samplingRate, preIctalStart, seizureStart, seizureStop, 5000);
        
%         Write data to a file
        headers={'Time' 'labels' 'rate' 'HRV' 'Amplitude'};
        writetable(array2table(data,'VariableNames',headers),strcat(outputDir,outputFileName),'Delimiter','\t') 
    end
end
