clear all;

% Define input and output directories
inputDir = '/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/Simulateddata';
outputDir = '/Users/patelni/Box Sync/Wash U/Senior Spring/Senior Design/Code/SimulatedDataProcessed/';

% Loop over each file
for ii = 1:100
    clearvars -except inputDir outputDir ii;
    
%     Define names of input and output files
    inputECGFileName = strcat('3rdsim',int2str(ii),'.txt');
    inputMarkFileName = strcat('3rdmark',int2str(ii),'.txt');
    outputECGFileName = strcat('simProc_',int2str(ii),'.txt');
    
%     Load data from generated seizure files
    simFile = importdata(fullfile(inputDir,inputECGFileName));
    markFile = importdata(fullfile(inputDir,inputMarkFileName));

%     Prepare variables to pass into processEKGData
    EKGData=simFile.data(2,:);
    samplingRate = 101;
    
%     Define transition times for each region using the markFile to assign
%     labels in processEKGData
    preIctalStart = markFile.data(3);
    seizureStart = markFile.data(4);
    seizureStop = markFile.data(6);
    
%     Obtain the processed data using processEKGData
    data = processEKGData(EKGData, samplingRate, preIctalStart, seizureStart, seizureStop, 28);
    
%     Write data to a file
    headers={'Time' 'labels' 'rate' 'HRV' 'Amplitude'};
    writetable(array2table(data,'VariableNames',headers),strcat(outputDir,outputECGFileName),'Delimiter','\t') 
end
